sr	= 44100
kr	= 4410
ksmps	= 10
nchnls	= 2

; http://www.csounds.com/mikelson/drummach.orc
instr 1 ; Dumb Bass Drum
kfreqenv	expseg  50,    .01, 200, .08, 50
kampenv	expseg  .0001, .01, p4,  .08, .01
asig	rand	kampenv
afilt	reson	asig, kfreqenv, kfreqenv/8
aout	balance	afilt, asig
outs	aout, aout
endin

; http://www.csounds.com/mikelson/drummach.orc
instr 2 ; KS Snare Drum
kampenv4	linseg  0, .001, 1,  p3-.021, 1, .02, 0
kptchenv	linseg  100, .01, 300, .2, 200, .01, 200
asig	pluck	p4, kptchenv, 50, 2, 4, .8, 3
aout	= kampenv4*asig
outs	aout, aout
endin

; http://www.adp-gmbh.ch/csound/instruments/hihat.html
instr 3 ; HiHat
ilen	init p3
iamp	init p4
kcutfreq	expon	10000, 0.1, 2500
aamp	expon	iamp,  0.1,   10
arand	rand	aamp
alp1	butterlp	arand, kcutfreq
alp2	butterlp	alp1, kcutfreq
ahp1	butterhp	alp2, 3500
asigpre	butterhp	ahp1, 3500
asig	linen    (asigpre+arand/2), 0, ilen, .05  
outs	asig*0, asig
endin

instr 4 ; sine oscillator
iphs	= 3
aout	oscil	p4, p5, iphs
outs	aout, aout
endin

instr 5 ; shaker
aout	shaker	p4, 440, 8, 0.999, 50, 0
outs	aout, aout*0
endin

instr 6 ; wave loop
al, ar	diskin	"sample.wav", 1, 0, 1
outs	al*p4, ar*p4
endin

instr 7 ; granular thing
ibasfrq	= 32000 / ftlen(p5)   ; Use original sample rate of insnd file 
kpitch	line	ibasfrq, p3, ibasfrq * .8 
a1	grain	p4, kpitch, 10, 0, 0.5, 0.2, p5, 1, 0.5, 0.0
a2	grain	p4, kpitch, 10, 0, 0.5, 0.2, p5, 1, 0.5, 0.0
a12	foscil	a1, kpitch, 1, 1, 2, 1
outs	a12,a2
endin

instr 8 ; wave loop
aout	diskin	"robot.wav", 1
outs	aout*p4, aout*p4
endin